#!/bin/bash

set -e
set -u

TAG=$(date "+%Y%m%d%H%M%S")

docker pull gitea/gitea
docker build -t custom_gitea:$TAG ~/workspace/gitea_docker
docker stop gitea || echo "No gitea container"
docker rm gitea || echo "No gitea container"
docker run -d --restart=always -p 22222:22 -p 3010:3000 -v /var/lib/gitea:/data --name gitea custom_gitea:$TAG
